import React, { CSSProperties } from 'react';
import './style.scss';
export interface DividerProps {
    style?: CSSProperties;
    direction?: 'horizontal' | 'vertical';
    position?: 'left' | 'center' | 'right';
    lineStyle?: 'solid' | 'dotted' | 'dashed' | 'groove';
    children?: React.ReactNode;
}
declare const Divider: React.FC<DividerProps>;
export default Divider;
