import React, { CSSProperties } from 'react';
import './style.scss';
export declare type TooltipProps = {
    style?: CSSProperties;
    className?: string;
    children: React.ReactNode;
    content: string | React.ReactNode;
    align?: 'top' | 'bottom' | 'left' | 'right';
    color?: string;
    onOpenChange?: (flag: boolean) => void;
    zIndex?: number;
};
declare function Tooltip(props: TooltipProps): JSX.Element;
declare namespace Tooltip {
    var defaultProps: {
        style: string;
        className: string;
        align: string;
        color: string;
        onOpenChange: () => void;
        zIndex: number;
    };
}
export default Tooltip;
