import React from 'react';
import './style.scss';
export declare type InputProps = {
    type?: string;
    className?: string;
    placeholder?: string;
    disabled?: boolean;
    readOnly?: boolean;
    clearable?: boolean;
    showpassword?: boolean;
    maxlength?: number;
    minlength?: number;
    prefix?: React.ReactNode | string;
    suffix?: React.ReactNode | string;
    onchange?: (value: string, event: any) => void;
};
declare const Input: React.FC;
export default Input;
