import './style.scss';
export declare type MessageProps = {
    open: boolean;
    content?: string;
    duration?: number;
    type?: 'success' | 'error' | 'warning' | 'info' | 'loading';
};
declare const Message: {
    Ele: null;
    info: (content: string, duration?: number) => void;
    success: (content: string, duration?: number) => void;
    warning: (content: string, duration?: number) => void;
    error: (content: string, duration?: number) => void;
    loading: (content: string, duration?: number) => void;
};
export default Message;
