import React, { CSSProperties } from 'react';
import './style.scss';
export declare type SpaceProps = {
    style?: CSSProperties;
    className?: string;
    children: React.ReactNode;
    direction?: 'horizontal' | 'vertical';
    gap?: string;
};
declare function Space(props: SpaceProps): JSX.Element;
declare namespace Space {
    var defaultProps: {
        style: string;
        className: string;
        direction: string;
        gap: string;
    };
}
export default Space;
