import { CSSProperties } from 'react';
import './style.scss';
export declare type TableProps = {
    style?: CSSProperties;
    className?: string;
    border?: boolean;
    columns: Array<any>;
    dataSource: Array<any>;
    size?: 'default' | 'middle' | 'small';
};
declare function Table(props: TableProps): JSX.Element;
declare namespace Table {
    var defaultProps: {
        style: string;
        className: string;
        border: boolean;
        size: string;
    };
}
export default Table;
